org.bouncycastle.jce.provider

## Class JDKKeyPairGenerator

- java.lang.Object
- - java.security.KeyPairGeneratorSpi
  - - java.security.KeyPairGenerator
    - - org.bouncycastle.jce.provider.JDKKeyPairGenerator

Direct Known Subclasses:
  JDKKeyPairGenerator.DH, JDKKeyPairGenerator.DSA, JDKKeyPairGenerator.ElGamal, JDKKeyPairGenerator.GOST3410, JDKKeyPairGenerator.RSA, KeyPairGenerator

    public abstract class JDKKeyPairGenerator
    extends java.security.KeyPairGenerator

### Nested Class Summary

Nested Classes
`static class` `JDKKeyPairGenerator.DH`
`static class` `JDKKeyPairGenerator.DSA`
`static class` `JDKKeyPairGenerator.ElGamal`
`static class` `JDKKeyPairGenerator.GOST3410`
`static class` `JDKKeyPairGenerator.RSA`

### Constructor Summary

Constructors
Constructor and Description
`JDKKeyPairGenerator(java.lang.String algorithmName)`

### Method Summary

Methods
`abstract java.security.KeyPair` `generateKeyPair()`
`abstract void` `initialize(int strength, java.security.SecureRandom random)`

### Methods inherited from class java.security.KeyPairGenerator

`genKeyPair, getAlgorithm, getInstance, getInstance, getInstance, getProvider, initialize, initialize, initialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDKKeyPairGenerator

    public JDKKeyPairGenerator(java.lang.String algorithmName)

### Method Detail

#### initialize

    public abstract void initialize(int strength,
                  java.security.SecureRandom random)

Overrides:
  `initialize` in class `java.security.KeyPairGenerator`

#### generateKeyPair

    public abstract java.security.KeyPair generateKeyPair()

Overrides:
  `generateKeyPair` in class `java.security.KeyPairGenerator`